#ifndef _CTEXTTYPE_HPP_
#define _CTEXTTYPE_HPP_

/*** SDL Header Files ***/
#include <SDL.h>
#include <SDL_ttf.h>

/*** DLL Header File ***/
#include "dllExport.h"

namespace TextTypeEngine {
	/* Singleton */
	class EXPORT_FROM_MYDLL cTextType
	{
	private:
		cTextType();
		~cTextType();

	public:
		///Functions
		static cTextType& Inst();
		static void Delete();

		const bool Initialize() const;
		
		const bool Setup();
		void CleanUp();

		void PrintVersion() const;

		///Sets
		///Gets
		/* Gets return true if Text was initialized */
		const bool IsInit() const;

	private:
		static cTextType* sp_inst;// = nullptr
	};/// END CLASS DEFINITION cTextType
}/// END NAMESPACE DEFINITION TextTypeEngine
#endif/// END IFNDEF _CTEXTTYPE_HPP_
